﻿/*
    Little Alarm Clock
    Copyright (C) 2008 Nick H.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Little_Alarm_Clock
{
    public partial class EditFrm : Form
    {
        // add a delegate
        public delegate void EditAlarm(object sender, AlarmEventArgs e);

        // add event for delegate type
        public event EditAlarm AlarmEdited;

        private int _nListViewIndex;

        public EditFrm(DateTime dateTime, string strRepeat, string strDesc, int nListViewIndex)
        {
            InitializeComponent();

            this.dateTimePicker1.Value = dateTime;
            this.comboBox1.Text = strRepeat;
            this.textBox1.Text = strDesc;
            this._nListViewIndex = nListViewIndex;
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(this.textBox1.Text))
            {
                MessageBox.Show(this, "You must provide a description", Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            AlarmEventArgs args = new AlarmEventArgs(this.dateTimePicker1.Value, this.comboBox1.Text, this.textBox1.Text, this._nListViewIndex);
            AlarmEdited(sender, args);

            this.Close();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
