﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Drawing;
using System.Threading;

namespace Little_Alarm_Clock
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string [] args)
        {
            bool bCreatedNew = false;
            Mutex mutexMain = new Mutex(true, Application.ProductName, out bCreatedNew);

            if (!bCreatedNew)
            {
                MessageBox.Show("The program seems to be already running...", Application.ProductName, MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Application.SetUnhandledExceptionMode(UnhandledExceptionMode.Automatic, true);
            Application.ThreadException += new ThreadExceptionEventHandler(Application_ThreadException);

            Application.Run(new MainFrm());

            Properties.Settings.Default.Save();

            mutexMain.ReleaseMutex();
        }

        static void Application_ThreadException(object sender, ThreadExceptionEventArgs e)
        {
            ErrorFrm errorFrm = new ErrorFrm(e.Exception);
        }
    }
}
